<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# adm

	system::adm();

	$id =  isset( $_GET['id'] ) ? system::abs($_GET['id']): 0;

	if (cache_tk::ch($id) === false)system::header('/admin/tk','Ошибка, ID не найден');

	$act = cache_tk::check($id);

	$hide = ($act['hide'] == 1 ? 0:1);

	$use = DB :: $dbh -> queryFetch("SELECT CK FROM user WHERE id = ? LIMIT 1;", array($act['user'])); 
	$use = cache_user::check($use['CK']);

	$message = '
	Ваш Тикет '.$act['name'].' '.($act['hide'] == 1 ? 'Открыт':'Закрыт').' в рейтинге сайтов '.domain.'</br></br>
	С уважением, администрация рейтинга '.domain.'.	
	';	
	
	mail::send($use['email'], ''.domain.' Системное оповещение ', ''.$message.'');	

	DB :: $dbh -> query("UPDATE tk SET hide = ? WHERE id = ? LIMIT 1;", array($hide,$id));	

	cache_tk::save($id);			

	system::header('/admin/tk','Успешно',1,1);

?>